Reference
Keywords: uk.ac.ic.doc.automed.p2p.tree.Reference class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class Reference

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.tree.TreeNode
          uk.ac.ic.doc.automed.p2p.tree.Value
              uk.ac.ic.doc.automed.p2p.tree.Reference

    public class Reference

extends Value

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.p2p.tree.TreeNode
`children, CLASS, COLLECTION, COLLECTION_SET, FIELD, GLOBAL, id, ID, LIST, MAIN_OBJECT_CLASSES, OBJECT, OBJECT_DEFINITION, OBJECT_LIST, parent, REF, VALUE`

Constructor Summary
`Reference(PersistentKey key, boolean isGlobal)`
`Reference(PersistentObject realObject, boolean isGlobal)`

Method Summary
`PersistentKey` | `getKey()`
`java.lang.Class` | `getObjectClass()`
`PersistentObject` | `getRealObject()`
`protected org.w3c.dom.Node` | `getXMLNode(org.w3c.dom.Document document)`
`boolean` | `isGlobal()`
`protected boolean` | `isValidChild(TreeNode child)`
`void` | `setGlobal(boolean isGlobal)`
`void` | `setRealObject(PersistentObject realObject)`

Methods inherited from class uk.ac.ic.doc.automed.p2p.tree.TreeNode
`addChild, createObjectNode, createTree, createTree, getChild, getChildren, getId, placeChild, setId, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Reference

    public Reference(PersistentKey key,
                     boolean isGlobal)

### Reference

    public Reference(PersistentObject realObject,
                     boolean isGlobal)

Method Detail

### isGlobal

    public boolean isGlobal()

  Returns:
    Returns the isGlobal.

### setGlobal

    public void setGlobal(boolean isGlobal)

  Parameters:
    `isGlobal` - The isGlobal to set.

### getKey

    public PersistentKey getKey()

  Returns:
    Returns the objectClass.

### getObjectClass

    public java.lang.Class getObjectClass()

### getXMLNode

    protected org.w3c.dom.Node getXMLNode(org.w3c.dom.Document document)

  Overrides:
    `getXMLNode` in class `Value`

### isValidChild

    protected boolean isValidChild(TreeNode child)

  Overrides:
    `isValidChild` in class `Value`

### getRealObject

    public PersistentObject getRealObject()

  Returns:
    Returns the realObject.

### setRealObject

    public void setRealObject(PersistentObject realObject)

  Parameters:
    `realObject` - The realObject to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD